Get extraction
curl --request GET \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"schema": "penumbra.file-extraction-run",
"version": 1,
"run_id": "<string>",
"request_id": "<string>",
"scope": {
"kind": "files",
"file_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"source_file_ids": [
"<string>"
],
"collection": {
"id": "<string>",
"revision": 0
},
"status": "queued",
"preset": {
"kind": "shape",
"id": "<string>",
"name": "<string>",
"description": "<string>",
"shapes": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"level": "<string>",
"continues_run_id": "<string>",
"continued_by_run_id": "<string>",
"actions": {
"retry": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
}
},
"destination": {
"workspace_id": "<string>",
"workspace_name": "<string>",
"context_id": null
},
"result_counts": {
"accepted": 0,
"needs_evidence": 0,
"rejected": 0,
"repair": 0
},
"error_code": "<string>",
"failure_code": "<string>",
"progress": {
"cursor": 4503599627370495,
"step": "draft",
"parts": {
"done": 4503599627370495,
"total": 4503599627370495
},
"live": {
"entities": 4503599627370495,
"relationships": 4503599627370495
},
"by_type": [
{
"kind": "entity",
"type_id": "<string>",
"type_name": "<string>",
"live": 123
}
],
"not_accepted": {
"needs_evidence": 4503599627370495,
"rejected": 4503599627370495
},
"stop_requested": true
},
"stopped_early": true,
"review_not_run": true,
"incomplete": {
"parts_delivered": 4503599627370495,
"parts_total": 123,
"reconciled": true,
"failure_code": "<string>",
"files_not_fully_read": [
{
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partly_read": true
}
]
},
"over_limit_count": 0,
"created_at": "<string>",
"updated_at": "<string>",
"completed_at": "<string>"
}
}Extraction
Get extraction
Read one extraction run.
Get extraction
curl --request GET \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"schema": "penumbra.file-extraction-run",
"version": 1,
"run_id": "<string>",
"request_id": "<string>",
"scope": {
"kind": "files",
"file_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"source_file_ids": [
"<string>"
],
"collection": {
"id": "<string>",
"revision": 0
},
"status": "queued",
"preset": {
"kind": "shape",
"id": "<string>",
"name": "<string>",
"description": "<string>",
"shapes": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"level": "<string>",
"continues_run_id": "<string>",
"continued_by_run_id": "<string>",
"actions": {
"retry": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
}
},
"destination": {
"workspace_id": "<string>",
"workspace_name": "<string>",
"context_id": null
},
"result_counts": {
"accepted": 0,
"needs_evidence": 0,
"rejected": 0,
"repair": 0
},
"error_code": "<string>",
"failure_code": "<string>",
"progress": {
"cursor": 4503599627370495,
"step": "draft",
"parts": {
"done": 4503599627370495,
"total": 4503599627370495
},
"live": {
"entities": 4503599627370495,
"relationships": 4503599627370495
},
"by_type": [
{
"kind": "entity",
"type_id": "<string>",
"type_name": "<string>",
"live": 123
}
],
"not_accepted": {
"needs_evidence": 4503599627370495,
"rejected": 4503599627370495
},
"stop_requested": true
},
"stopped_early": true,
"review_not_run": true,
"incomplete": {
"parts_delivered": 4503599627370495,
"parts_total": 123,
"reconciled": true,
"failure_code": "<string>",
"files_not_fully_read": [
{
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partly_read": true
}
]
},
"over_limit_count": 0,
"created_at": "<string>",
"updated_at": "<string>",
"completed_at": "<string>"
}
}Operation ID:
http.semantic_tasks.file_extractions.get
GET /v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}